Subject: Re: [PATCH] staging: r8712u: Fix kernel warning for improper call of del_timer_sync()

From: Joe Perches <[email-masked]>
Date: Tue, 26 May 2015 10:06:17 -0700

On Tue, 2015-05-26 at 09:35 -0700, Greg KH wrote:
> On Tue, May 26, 2015 at 07:48:59AM -0700, Joe Perches wrote:
> > > > The main point is that patches shouldn't be applied without
> > > > being submitted to a more widely read list.
> > > 
> > > I take the blame for any problems with Outreachy patches.
> > 
> > Are you going to change any procedure associated to these
> > Outreachy patches?
> 
> 2 bugs out of 900?  Nah, I think that's good odds.
> 
> Also, the outreachy patch process would overwhelm everyone else on the
> list, it's really high volume during the application phase, I'd prefer
> it to stick with the mentors that wish to help out with the process.  If
> you and/or Dan, or anyone else wishes to help out with this, I would
> really appreciate it.  But I don't think that forcing them to post to
> the driverdevel list is a good idea.

I don't think that's necessary, but sending them to any
listed maintainer should be.

If you're collecting them, I suggest you stick them in
a separate branch, post them to your driverdev list and
cc the appropriate maintainers, wait a week, then apply
them to your main branch.

You already batch post hundreds of patches for kernel
x.y.z stable branches.  What's another few hundred?